Subject: 28.0.50; iso8601-parse can't handle all legal date values?
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Wed, 29 Jan 2020 13:00:43 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm writing a small library for parsing vcards, and would like to use
the new iso8601 library, when available, for parsing date properties.

I'm testing out `iso9601-parse' with the example values from the vcard
RFC, and am getting errors from the example date value "---12", from
https://tools.ietf.org/html/rfc6350#section-4.3.1.

My understanding is that "---12" as a date should parse to:

(nil nil nil 12 nil nil nil -1 nil)

Ie, "the twelfth" (though the twelfth of what, we don't know). "----12"
also raises an error. The value "--0412" parses correctly to "April
twelfth".

Is this a bug that can be fixed, or a date value that isn't supported?

Thanks,
Eric